# $Revision: 1.14.2.2 $, $Date: 2007/03/18 13:58:04 $
Summary:	XML-RPC C library - an implementation of the xmlrpc protocol
Summary(pl):	Biblioteka XML-RPC C - implementacja protokou xmlrpc
Name:		xmlrpc-c
Version:	1.06.04
Release:	4
License:	XML-RPC C Library License
Group:		Libraries
Source0:	http://dl.sourceforge.net/xmlrpc-c/%{name}-%{version}.tgz
# Source0-md5:	25c43707810525b077c6ad64e25dd978
Patch0:		%{name}-fastdep.patch
Patch1:		%{name}-soname.patch
Patch2:		%{name}-cflags.patch
URL:		http://xmlrpc-c.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	w3c-libwww-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/%{name}

%description
XML-RPC C library - an implementation of the xmlrpc protocol.

%description -l pl
Biblioteka XML-RPC C - implementacja protokou xmlrpc.

%package devel
Summary:	Header files etc to develop XML-RPC applications
Summary(pl):	Pliki nagwkowe do tworzenia aplikacji XML-RPC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	expat-devel
Requires:	libxml2-devel
Requires:	w3c-libwww-devel

%description devel
Header files etc needed to develop XML-RPC applications.

%description devel -l pl
Pliki nagwkowe potrzebne do tworzenia aplikacji uywajcych XML-RPC.

%package static
Summary:	Static XML-RPC C libraries
Summary(pl):	Biblioteki statyczne XML-RPC C
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XML-RPC C libraries.

%description static -l pl
Biblioteki statyczne XML-RPC C.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
OPTCFLAGS="%{rpmcflags}" ; export OPTCFLAGS
OPTCXXFLAGS="%{rpmcxxflags}" ; export OPTCXXFLAGS
%configure \
	--enable-abyss-server \
	--enable-cgi-server \
	--enable-cplusplus \
	--enable-libxml2-backend \
	--enable-curl-client \
	--enable-libwww-client \
	--enable-unicode \
	--enable-abyss-threads

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s oldxmlrpc.h $RPM_BUILD_ROOT%{_includedir}/%{name}/xmlrpc.h
ln -s oldcppwrapper.hpp $RPM_BUILD_ROOT%{_includedir}/%{name}/XmlRpcCpp.h
ln -s server_cgi.h $RPM_BUILD_ROOT%{_includedir}/%{name}/xmlrpc_cgi.h
ln -s client.h $RPM_BUILD_ROOT%{_includedir}/%{name}/xmlrpc_client.h
ln -s server.h $RPM_BUILD_ROOT%{_includedir}/%{name}/xmlrpc_server.h
ln -s server_abyss.h $RPM_BUILD_ROOT%{_includedir}/%{name}/xmlrpc_server_abyss.h
ln -s server_w32httpsys.h $RPM_BUILD_ROOT%{_includedir}/%{name}/xmlrpc_server_w32httpsys.h

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/{COPYING,CREDITS,HISTORY,SECURITY,TESTING,TODO}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/DEVELOPING
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmlrpc-c.spec,v $
Revision 1.14.2.2  2007/03/18 13:58:04  glen
- rel 4 (curl rebuild)

Revision 1.14.2.1  2007/03/18 00:35:43  glen
- rel 3

Revision 1.14  2006/11/09 21:13:36  glen
- strict internal deps

Revision 1.13  2006/09/04 12:58:19  baggins
- rel 2
- added cflags patch

Revision 1.12  2006/09/04 11:54:41  baggins
- up to 1.06.04
- removed obsolete patches

Revision 1.11  2006/02/21 14:30:17  baggins
- release 2
- proper req for devel package

Revision 1.10  2006/02/21 14:11:33  baggins
- release 1

Revision 1.9  2006/02/21 14:07:40  baggins
- updated to 1.03.11
- fixed b0rken Makefiles

Revision 1.8  2006/02/21 12:47:05  baggins
- trying to build on x8664

Revision 1.7  2006/01/11 16:21:39  baggins
- updated to 1.03.10

Revision 1.6  2005/03/24 18:18:03  baggins
- release 3
- --enable-libwww-client

Revision 1.5  2005/03/24 15:40:12  baggins
- release 2
- soname patch to resolve conflict with xmlrpc-epi (s/xmlrpc/xmlrpc-c/g)

Revision 1.4  2004/10/31 12:55:15  paladine
- spaces->tabs

Revision 1.3  2003/10/12 19:06:09  qboosh
- pl description, moved base docs to base, *.so symlink to -devel

Revision 1.2  2003/09/15 22:04:03  krzak
-  --disable-libwww-client

Revision 1.1  2003/09/15 03:52:49  krzak
- initial
